package cn.com.taiji.cql.service;


import cn.com.taiji.common.domain.PageResult;
import cn.com.taiji.common.domain.Result;
import org.geotools.api.feature.FeatureVisitor;
import java.util.List;
import java.util.Map;

public interface IECqlService {


    /**
     * cql 通用查询接口
     * @param mapParams
     * @param cql
     * @return
     */
    PageResult cqlQuery4Mysql(Map<String, Object> mapParams, String cql, Map<String,Object> sortMaps, Map<String, Object> pageParams);



    /**
     * cql 通用查询接口
     * @param dsParams
     * @param paramMaps
     * @return
     */
    PageResult cqlQuery(Map<String, Object> dsParams,Map<String,Object> paramMaps);

    /**
     * cql 通用增加接口
     * @param dsParams
     * @param attributeMap
     * @return
     */

    Result cqlAdd(Map<String, Object> dsParams, Map<String, Object> attributeMap);

    /**
     * cql 通用修改接口
     * @param dsParams
     * @param attributeMap
     * @return
     */

    Result cqlUpdate(Map<String, Object> dsParams, Map<String, Object> attributeMap,String cql);

    /**
     * cql 通用删除接口
     * @param dsParams
     * @param cql
     * @return
     */

    Result cqlRemove(Map<String, Object> dsParams,String cql);



    void cqlAggQuery4Mysql(Map<String, Object> mapParams, String cql, FeatureVisitor visitor);


}
